# Maintainer: Rafael from azul repository

pkgbase=numix-circle-square
pkgname=('numix-icon-theme-circle'
         'numix-icon-theme-square')
pkgver=23.07.08
pkgrel=1
namec=numix-icon-theme-circle
names=numix-icon-theme-square
commitc=505f12564f524d1d0a17599757141004fe23291c
commits=6d11a9d59c9417346054dd1a1e1c7ba0c7970d32
pkgdesc='Icon themes for Linux from the Numix project'
arch=('any')
url='https://github.com/numixproject'
url1='https://github.com/numixproject/numix-icon-theme-circle'
url2='https://github.com/numixproject/numix-icon-theme-square'
license=('GPL3')
provides=("${pkgname}-${pkgver}")
depends=('numix-icon-theme' 'gtk-update-icon-cache')
conflicts=("numix-square-icon-theme-git" "numix-square-icon-theme" "numix-square-icon-theme-git" "numix-square-icon-theme")
makedepends=(git)
source=("${namec}::git+${url1}#commit=${commitc}"
        "${names}::git+${url2}#commit=${commits}")
sha512sums=('SKIP' 'SKIP')


package_numix-icon-theme-circle() {
  pkgdesc="Circle is an icon theme for Linux from the Numix project."
  install -dm755 ${pkgdir}/usr/share/icons
  install -dm755 ${pkgdir}/usr/share/licenses/${namec}
  install -Dm644  ${srcdir}/${namec}/LICENSE ${pkgdir}/usr/share/licenses/${namec}
  rm ${srcdir}/${namec}/LICENSE
  rm ${srcdir}/${namec}/README.md
  cp -r  ${srcdir}/${namec}/* ${pkgdir}/usr/share/icons
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}


package_numix-icon-theme-square() {
  pkgdesc="Square is an icon theme for Linux from the Numix project."
  install -dm755 ${pkgdir}/usr/share/icons
  install -dm755 ${pkgdir}/usr/share/licenses/${names}
  install -Dm644 ${srcdir}/${names}/LICENSE ${pkgdir}/usr/share/licenses/${names}
  rm ${srcdir}/${names}/LICENSE
  rm ${srcdir}/${pkgname}/README.md
  cp -r  ${srcdir}/${names}/* ${pkgdir}/usr/share/icons
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}

